org.eclipse.actf.util.win32.comclutch

## Interface IResource

All Known Subinterfaces:
  IAccessible, IDispatch, IEnumUnknown, IOleContainer, IServiceProvider, IUnknown

All Known Implementing Classes:
  Handler, org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl, org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl, RefBoolean, RefByte, RefContainer, RefDouble, RefFloat, RefInt, RefIUnknown, RefLong, RefObject, RefShort, RefString, RefVoid

    public interface IResource

IResource interface defines the methods to be implemented by classes treats native resources

### Method Summary

Methods
`void` `addResource(IResource target)` call `ResourceManager.addResource(IResource)` with the target
`IResource` `findInResource(long ptr)` call `ResourceManager.findInResource(long)` with the ptr
`long` `getPtr()`
`ResourceManager` `getResourceManager()`
`boolean` `isPermanent()`
`void` `release()` call `ResourceManager.removeResource(IResource)` with this

### Method Detail

#### getResourceManager

    ResourceManager getResourceManager()

Returns:
  the resource manager of the resource

#### addResource

    void addResource(IResource target)

call `ResourceManager.addResource(IResource)` with the target

#### findInResource

    IResource findInResource(long ptr)

call `ResourceManager.findInResource(long)` with the ptr

#### isPermanent

    boolean isPermanent()

Returns:
  the resource is permanent object or not

#### getPtr

    long getPtr()

Returns:
  the native reference pointer of the resource

#### release

    void release()

call `ResourceManager.removeResource(IResource)` with this